# Default values for novnc.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: registry-intl.eu-central-1.aliyuncs.com/tuffigorapidex/webvnc-novnc
  tag: latest
  pullPolicy: Always
  secret: alibaba
  secretDocker: docker-v2

nameOverride: "novnc"
fullnameOverride: "novnc"

configmap:
  ovpnPort: "5943"
  ovpnClusterPort: "1194"
  ovpnServerUrl: openvpn-srv.kube.mytuffigorapidex.xyz
token:
  # apiMytr: token 4ee03696ae2d0e8579cf6f3864c7bcdf72424ec3
  apiMytr: token 000f5c038f349a65196762013db629e45c16e207
  url: https://api.mytuffigorapidex.com/internal/v2/controllers/
   
service:
  type: ClusterIP
  port: 6080

ingress:
  enabled: true
  annotations: 
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: 'true'
    certmanager.k8s.io/issuer: letsencrypt-novnc
    certmanager.k8s.io/acme-challenge-type: http01
  paths: [/]
  hosts:
    - novnc-svc.mytuffigorapidex.com
  tls: 
    - secretName: novnc-secret-tls
      hosts: 
        - novnc-svc.mytuffigorapidex.com
resources: 
  limits:
      memory: 512Mi
      cpu: 500m
  requests:
    memory: 128Mi
    cpu: 100m

resourcesInit: 
  limits:
      memory: 128Mi
      cpu: 100m
  requests:
    memory: 64Mi
    cpu: 100m
